Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.access.support
Class PropertyValueFilterBeanInfo.FilterPropertyEditor

public static class PropertyValueFilterBeanInfo.FilterPropertyEditor
implements PropertyEditorEx

Method Summary
`synchronized void` | `addPropertyChangeListener(PropertyChangeListener listener)`
`String` | `getAsText()`
`Object` | `getBean()`
`Component` | `getCustomEditor()`
`Component` | `getCustomEditor(Component parent, boolean isSelected)`
`Component` | `getCustomRenderer(Component parent, boolean isSelected, boolean hasFocus)`
`String` | `getJavaInitializationString()`
`String[]` | `getTags()`
`Object` | `getValue()`
`boolean` | `isPaintable()`
`void` | `paintValue(java.awt.Graphics gfx, java.awt.Rectangle box)`
`synchronized void` | `removePropertyChangeListener(PropertyChangeListener listener)` Remove a listener for the PropertyChange event.
`void` | `setAsText(String text)`
`void` | `setBean(Object bean)`
`void` | `setValue(Object value)`
`boolean` | `supportsCustomEditor()`

Method Detail

### addPropertyChangeListener

    public synchronized void addPropertyChangeListener(PropertyChangeListener listener)

### getAsText

    public String getAsText()

### getBean

    public Object getBean()

### getCustomEditor

    public Component getCustomEditor()

### getCustomEditor

    public Component getCustomEditor(Component parent, boolean isSelected)

### getCustomRenderer

    public Component getCustomRenderer(Component parent, boolean isSelected, boolean hasFocus)

### getJavaInitializationString

    public String getJavaInitializationString()

### getTags

    public String[] getTags()

### getValue

    public Object getValue()

### isPaintable

    public boolean isPaintable()

### paintValue

    public void paintValue(java.awt.Graphics gfx, java.awt.Rectangle box)

### removePropertyChangeListener

    public synchronized void removePropertyChangeListener(PropertyChangeListener listener)

  Remove a listener for the PropertyChange event.
  Parameters:
    listener - The PropertyChange listener to be removed.

### setAsText

    public void setAsText(String text)

### setBean

    public void setBean(Object bean)

### setValue

    public void setValue(Object value)

### supportsCustomEditor

    public boolean supportsCustomEditor()

Association Links

to Class java.beans.PropertyEditor

to Class java.util.Vector

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM